Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class ExportImportBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ExportImportBean

    public class ExportImportBean

extends java.lang.Object

This is the top level bean object used in the export and import of metadata from the JI repository.

Constructor Summary
`ExportImportBean()`

Method Summary
`ReportJobBean[]` | `getReportJobs()`
`ResourceBean` | `getResource()`
`UserRoleHolderBean` | `getUserRoleHolder()`
`java.lang.String` | `getVersion()` Returns the version of the product used to create this bean.
`void` | `setReportJobs(ReportJobBean[] reportJobs)`
`void` | `setResource(ResourceBean resource)`
`void` | `setUserRoleHolder(UserRoleHolderBean userRoleHolder)`
`void` | `setVersion(java.lang.String version)` Sets the version of the product used to create this bean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportImportBean

    public ExportImportBean()

Method Detail

### getResource

    public ResourceBean getResource()

### setResource

    public void setResource(ResourceBean resource)

### getUserRoleHolder

    public UserRoleHolderBean getUserRoleHolder()

### setUserRoleHolder

    public void setUserRoleHolder(UserRoleHolderBean userRoleHolder)

### getReportJobs

    public ReportJobBean[] getReportJobs()

### setReportJobs

    public void setReportJobs(ReportJobBean[] reportJobs)

### getVersion

    public java.lang.String getVersion()

  Returns the version of the product used to create this bean.

  Returns:
    the product version

### setVersion

    public void setVersion(java.lang.String version)

  Sets the version of the product used to create this bean.

  Parameters:
    `version` - the product version

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.